//
//  tsprintf5.h
//
// stdio.h "sprintf" like print data formatter
//	buf: memory buffer
//	fmt: %[<Flags>...][<Width>[.<Precision>]][<Modifier>]<Conversions>
//		Flags: {-|+| |#|0}
//		Width: 1~255 Fixed column (not minimum width)
//		Precision: 0~255 N/A
//		Modifier: {hh|h|l|ll|j|z|t}
//		Conversions: {d|i|u|x|o|c|s|%}
//	v[1-5]: variable address 
//		%s is not "const" area
//  Copyright (C) 2009 Toyohiko Togashi tog001@nifty.com
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//	Update history
//	---------- ----- -------------------------------------------
//	2009.08.02 v0.0  First cording for ImageCraft C Compiler
//
extern void tsprintf5(char *buf, const char *fmt,
	void *v1, void *v2, void *v3, void *v4, void *v5);
